Edit

Domains - List Domains

Returns a list of all the tenant's domains.

Required Delegated Scopes

Domain.Read.All

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

GET https://api.fabric.microsoft.com/v1/domains
GET https://api.fabric.microsoft.com/v1/domains?continuationToken={continuationToken}

URI Parameters

Name In Required Type Description
continuationToken
query

string

A token for retrieving the next page of results.

Responses

Name Type Description
200 OK

Domains

The request was successful.

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • UnknownError - An error occurred

Examples

List of all tenant's domains example
List of all tenant's domains with continuation example

List of all tenant's domains example

Sample request

GET https://api.fabric.microsoft.com/v1/domains

Sample response

{
  "value": [
    {
      "id": "bd3df35d-eccf-4fb2-92e0-5425849fe89e",
      "displayName": "Finance",
      "description": "This domain is used for identifying financial data and reports.",
      "parentDomainId": "541488c9-eb1f-4ee1-8997-10bb2fe6d58c"
    },
    {
      "id": "6d632c47-a320-4aff-8286-8dde706d670f",
      "displayName": "Human resources",
      "description": "",
      "parentDomainId": null
    }
  ]
}

List of all tenant's domains with continuation example

Sample request

GET https://api.fabric.microsoft.com/v1/domains

Sample response

{
  "value": [
    {
      "id": "bd3df35d-eccf-4fb2-92e0-5425849fe89e",
      "displayName": "Finance",
      "description": "This domain is used for identifying financial data and reports.",
      "parentDomainId": "541488c9-eb1f-4ee1-8997-10bb2fe6d58c"
    },
    {
      "id": "6d632c47-a320-4aff-8286-8dde706d670f",
      "displayName": "Human resources",
      "description": "",
      "parentDomainId": null
    }
  ],
  "continuationToken": "LDEsMTAwMDAwLDA%3D",
  "continuationUri": "https://api.fabric.microsoft.com/v1/domains?continuationToken=LDEsMTAwMDAwLDA%3D"
}

Definitions

Name Description
Domain

Represents a domain.

Domains

A response wrapper for a list of domains.

ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

Domain

Represents a domain.

Name Type Description
description

string

The description of the domain.

displayName

string

The name of the domain.

id

string (uuid)

The domain ID.

parentDomainId

string (uuid)

The parent domain ID, for a subdomain.

Domains

A response wrapper for a list of domains.

Name Type Description
continuationToken

string

The token for the next result set batch. If there are no more records, it's removed from the response.

continuationUri

string

The URI of the next result set batch. If there are no more records, it's removed from the response.

value

Domain[]

An array of domains

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

relatedResource

ErrorRelatedResource

The error related resource details.